[development] Fundamental MySQL changes in Drupal 6 (six)

Dries Buytaert dries.buytaert at gmail.com
Tue Nov 14 07:33:16 UTC 2006

On 13 Nov 2006, at 21:19, Richard Eriksson wrote:
> Anecdote: my hosting provider, Verve Hosting
> http://www.vervehosting.com/shared.html runs 4.0.27-standard on the
> server my sites are hosted on, but they announced they're upgrading
> all of their servers to 4.1.20.

The reason that many hosting companies have yet to upgrade, is  
because the upgrade from MySQL 4.0 to MySQL 4.1 is quite a pain.   
It's much easier to upgrade from 4.1 to 5.0, for example.  (Sounds  
familiar? ;))

If you're worried about getting stuck with an unsupported MySQL  
version, I'd suggest that you send your hosting providing an e-mail.   
Ask them for their upgrade strategy/plans, and point them to the  
MySQL documentation if necessary.

The fact that we drop support for MySQL 4.0 does not necessarily mean  
that Drupal 6.0 will stop working on MySQL 4.0.  Chances are we  
happen to be backward compatible.

Dries Buytaert  ::  http://www.buytaert.net/

More information about the development mailing list